Package org.snpeff.geneSets.algorithm

# Class NoneAlgorithm

java.lang.Object
org.snpeff.geneSets.algorithm.EnrichmentAlgorithm
org.snpeff.geneSets.algorithm.NoneAlgorithm

public class NoneAlgorithm extends EnrichmentAlgorithm
An algorithm that does nothing

Author:
  pcingola

## Nested Class Summary

## Nested classes/interfaces inherited from class org.snpeff.geneSets.algorithm.EnrichmentAlgorithm

`EnrichmentAlgorithm.EnrichmentAlgorithmType`

## Field Summary

### Fields inherited from class org.snpeff.geneSets.algorithm.EnrichmentAlgorithm

`HTML_BG_COLOR, HTML_BG_COLOR_TITLE, HTML_TD_GENES_MAX_LEN, PRINT_SOMETHING_TIME`

## Constructor Summary

Constructors
Constructor
Description
`NoneAlgorithm(GeneSets geneSets)`

## Method Summary

### Methods inherited from class org.snpeff.geneSets.algorithm.EnrichmentAlgorithm

`getMaxPvalueAdjusted, getOutput, isShow, print, select, setDebug, setFilterOutputGeneSets, setHtmlTable, setMaxGeneSetSize, setMaxPValue, setMaxPvalueAdjusted, setMinGeneSetSize, setVerbose`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NoneAlgorithm

public NoneAlgorithm(GeneSets geneSets)